% Using Octave
% Load the symbolic module

%commandwindow % For matlab only
clear all
close all
clc


v = 0.5;
m = 3.5;
g = 9.8;
mg = m * g;
for i=1 : 2000
  iter(i+1) = i;
  v(i+1) = sqrt(((mg+0.02*v(i))*(500 + log10(v(i))^3))/0.3);
  % log gave a wrong value so used log10(x)
  Ea(i+1) = abs((v(i+1)-v(i))/v(i+1)) * 100;
  if Ea(i+1) <= 1*10^-11
    break
  endif
endfor

table = [iter' v' Ea']
display('The answer for v is: '), display(v(i+1))